# $Revision: 1.42 $, $Date: 2002/05/25 20:15:32 $
Summary:	A debugger which detects memory allocation violations
Summary(cs):	Nstroj pro odhalovn chyb pi alokaci dynamick pamti
Summary(da):	En afluser som finder problemer ved hukommelsesallokering
Summary(de):	Debugger zum Erkennen von Speicherzugriffsverletzungen
Summary(es):	Electric Fence biblioteca de depuracin de memoria en C
Summary(fr):	Bibliothque C de dbuggage mmoire Electric Fence
Summary(id):	Debugger untuk menditeksi memory allocation violations
Summary(is):	Aflsunartl sem finnur villur  minnismehndlun
Summary(it):	Debugger che rileva le violazioni dell'allocazione di memoria
Summary(ja):	Ƥοά򸡽ФǥХå
Summary(no):	Et avlusingsprogram som finner overtramp ved minneallokering
Summary(pl):	Biblioteka do wykrywania bdw alokacji pamici
Summary(pt):	Um depurador que detecta violaes  memria alocada
Summary(pt_BR):	Electric Fence biblioteca de depurao de memria em C
Summary(ru):	,     
Summary(sk):	Debugger pre vyhadvanie chybnch prstupov k alokovanej pamti
Summary(sl):	Razhroevalnik, ki najde prekoraitve dodeljenega pomnilnika
Summary(sv):	Ett avlusningsprogram som upptcker minnesallokeringsfel
Summary(tr):	C iin bellek hatas ayklama kitapl
Summary(zh_CN):	һֵڼڴ
Name:		ElectricFence
Version:	2.2.2
Release:	13
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.perens.com/pub/ElectricFence/Beta/%{name}-%{version}.tar.gz
Patch0:		%{name}-longjmp.patch
Patch1:		%{name}-no_bash.spec
Patch2:		%{name}-va_arg.patch
Patch3:		%{name}-ac_am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libefence0

%description
If you know what malloc() violations are, you'll be interested in
ElectricFence. ElectricFence is a tool which can be used for C
programming and debugging. It uses the virtual memory hardware of your
system to detect when software overruns malloc() buffer boundaries,
and/or to detect any accesses of memory released by free().
ElectricFence will then stop the program on the first instruction that
caused a bounds violation and you can use your favorite debugger to
display the offending statement.

%description -l de
Wenn Sie wissen, was malloc()-Verletzungen sind, sind Sie
wahrscheinlich an ElectricFence interessiert. ElectricFence ist ein
Tool, das zur C- Programmierung und zum Debugging benutzt werden kann.
Es benutzt virtuelle Speicherhardware, um zu erkennen, wenn Software
malloc()-Buffergrenzen bersteigt, und wenn Speicher mit free()
freigegeben wird. ElectricFence beendet das Programm bei der
Instruktion, die die Speicherverletzung ausgelst hat, und Sie knnen
Ihren Lieblingsdebugger benutzen, um den Befehl anzuzeigen.

%description -l es
ElectricFence es una herramienta que puede usarse para programacin y
depuracin en lenguaje C. A travs del uso del hardware de memoria
virtual del sistema, detecta accesos que sobrepasan los lmites de la
memoria asignada con malloc(), o acceso a la memoria liberada por
free(). En esas situaciones, ElectricFence interrumpe la ejecucin del
programa en la primera instruccin que caus la violacin, y puede
usarse un debugger para verificar la causa del problema.

%description -l fr
Electric Fence est une bibliothque utilise pour la programmation en
C et le dbogage. Vous pouvez la lier  la compilation et elle vous
avertira des problmes ventuels de dsallocation de mmoire, etc.

%description -l pl
Electric Fence jest bibliotek pomocn podczas programowania w jzyku
C i "odpluskwiania". Pakiet zawiera bibliotek wspdzielon, ktra
moe by zaadowana przez zmienn LD_PRELOAD w trakcie uruchamiania
dowolnego programu dziki temu nie potrzeba linkowa z t bibliotek
ledzonego programu. Pakiet zawiera take skrypt powoki ef, ktry
aduje do pamici przez LD_PRELOAD bibliotek libefence i uruchamia
program przekazany do tego skryptu jako parametr.

%description -l pt_BR
ElectricFence  uma ferramenta que pode ser usada com programao e
depuracao em linguagem C. Atravs do uso do hardware de memoria
virtual do sistema, o ElectricFence detecta acessos alm dos limites
da memria alocada com malloc(), ou acesso a memria liberada por
free(). Nessas situaes, o ElectricFence interrompe a execuo do
programa na primeira instruo que causou a violao, e um debugger
pode ser usado para verificar a causa do problema.

%description -l tr
Electric Fence, C'de programlama ve hata ayklama iin kullanlabilen
bir kitaplktr. Derleme esnasnda programnza balarsanz, sizi
ortaya kabilecek sorunlar (var olmayan bir bellek parasnn serbest
braklmas gibi) konusunda uyarr.

%package static
Summary:	Static Electric Fence library
Summary(pl):	Biblioteka statyczna Electric Fence
Group:		Development/Debuggers
Obsoletes:	libefence0-devel

%description static
Static Electric Fence library.

%description -l pl static
Biblioteka statyczna Electric Fence.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -DUSE_SEMAPHORE"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/ef
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ElectricFence.spec,v $
Revision 1.42  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.41  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/20 10:26:19  trojan
- revert %%ghost from %%files

Revision 1.39  2002/04/17 12:28:29  trojan
- added %%ghost lib*.so.0 (they're created by ldconfig)
- release 13; STBR

Revision 1.38  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/02/10 21:31:36  kloczek
- release 12.

Revision 1.35  2002/02/10 20:21:59  ankry
- added some (adapterized) Summary/descriptions from RH 7.2 (specpo)

Revision 1.34  2002/01/18 11:17:57  kloczek
- release 11,
- libefence0{,-devel} added to Obsolets for allow upgrade from MDK,
- merge translations from Conectiva and TurboLinux.

Revision 1.33  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/04/26 04:21:35  kloczek
- release 10: add -DUSE_SEMAPHORE to CFLAGS.

Revision 1.31  2001/03/29 16:24:07  qboosh
- fixed ac_am patch (package builds)
- changed libefence.so.0.0 to libefence.so.0 in ef script
- typos
- release 9

Revision 1.30  2000/12/30 12:51:22  kloczek
- release 8,
- fix ac_am patch: pass DEFS=-DUSE_SEMAPHORE to compile options.

Revision 1.29  2000/10/05 16:25:19  kloczek
- release 6,
- added full automake/autoconf suit (ac_am patch).

Revision 1.28  2000/07/26 11:10:37  zagrodzki
- release 5
- added lib*.so to base package (EFence has no -devel package)

Revision 1.27  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/30 02:30:57  kloczek
- release 4,
- merge va_arg patch from rawhide.

Revision 1.25  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.24  2000/04/23 12:09:05  klakier
-typo

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.21  1999/11/08 19:46:37  kura
- fixed pl translations

Revision 1.20  1999/10/12 15:08:33  kloczek
- added es, pt_BR translation.

Revision 1.19  1999/09/16 00:15:43  kloczek
- release 3,
- new en, de %description's from Mandrake.

Revision 1.18  1999/07/12 23:05:56  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Jun 17 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.2.2-2]
- fixed ef.sh script (this is pure sh script),
- added runing /sbin/ldconfig in %post/%postun.

* Fri Jun  4 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.2.2-1]
- based on RH spec,
- spec rewrited by PLD team.
